{% extends '::base.html.twig' %}

{% block title %}Pedidos{% endblock title %}

{% block body %}
<div class="container generalContainer" id="pf_opmenu">
	<table class="table table-bordered table-striped table-condensed">
		<thead>
			<tr>
				<th></th>
				<th>No.</th>
				<th>Cliente</th>
				<th>Fecha</th>
				<th>Tipo de Pago</th>
				<th>Estatus</th>
				<th>PedidoSAP</th>
				<th>Productos</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			{% for entity in entities %}
			<tr>
				<td>{{ entity.idPedido }}</td>
				<td>{{ entity.cliente }}</td>
				<td>{{ entity.fecha |date('Y/m/d') }}</td>
				<td>{{ entity.pago.descripcion }}</td>
				<td>{{ entity.estatus.descripcion }}</td>
				<td>{{ entity.pedidoSAP }}</td>
				<td>
				{%  for detalle in entity.productos %}
					{{ detalle.productoPrecio.producto.descripcion }}
					{% if not loop.last %},{% endif %}
				{% endfor %}
				</td>
				<td><a class="btn btn-primary" href="{{ path('pedidos_edit', {id: entity.idPedido}) }}">Recuperar</a></td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
</div>
{% endblock body %}
